lzma2_encoder.c File Reference

LZMA2 encoder. More...

`#include "lz_encoder.h"`
`#include "lzma_encoder.h"`
`#include "fastpos.h"`
`#include "lzma2_encoder.h"`

## Data Structures

struct | lzma_lzma2_coder

## Functions

static void | lzma2_header_lzma (lzma_lzma2_coder *coder)
static void | lzma2_header_uncompressed (lzma_lzma2_coder *coder)
static lzma_ret | lzma2_encode (void *coder_ptr, lzma_mf *restrict mf, uint8_t *restrict out, size_t *restrict out_pos, size_t out_size)
static void | lzma2_encoder_end (void *coder_ptr, const lzma_allocator *allocator)
static lzma_ret | lzma2_encoder_options_update (void *coder_ptr, const lzma_filter *filter)
static lzma_ret | lzma2_encoder_init (lzma_lz_encoder *lz, const lzma_allocator *allocator, const void *options, lzma_lz_options *lz_options)
lzma_ret | lzma_lzma2_encoder_init (lzma_next_coder *next, const lzma_allocator *allocator, const lzma_filter_info *filters)
uint64_t | lzma_lzma2_encoder_memusage (const void *options)
lzma_ret | lzma_lzma2_props_encode (const void *options, uint8_t *out)
uint64_t | lzma_lzma2_block_size (const void *options)

## Detailed Description

LZMA2 encoder.